---
title: Element.scrollIntoView()
slug: Web/API/Element/scrollIntoView
tags:
  - API
  - CSSOM Views
  - DOM
  - Element
  - Method
  - Reference
  - View
  - scrollIntoView
  - scrolling
---
<div>{{APIRef("DOM")}}</div>

<div><span class="seoSummary">The {{domxref("Element")}} interface's <code><strong>scrollIntoView()</strong></code> method scrolls the element's parent container such that the element on which <code>scrollIntoView()</code> is called is visible to the user</span></div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>element</em>.scrollIntoView();
<em>element</em>.scrollIntoView(<var>alignToTop</var>); // Boolean parameter
<em>element</em>.scrollIntoView(<var>scrollIntoViewOptions</var>); // Object parameter
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>alignToTop</var></code> {{optional_inline}}</dt>
 <dd>Is a {{jsxref("Boolean")}} value:
 <ul>
  <li>If <code>true</code>, the top of the element will be aligned to the top of the visible area of the scrollable ancestor. Corresponds to <code>scrollIntoViewOptions: {block: "start", inline: "nearest"}</code>. This is the default value.</li>
  <li>If <code>false</code>, the bottom of the element will be aligned to the bottom of the visible area of the scrollable ancestor. Corresponds to <code>scrollIntoViewOptions: {block: "end", inline: "nearest"}</code>.</li>
 </ul>
 </dd>
 <dt><code><var>scrollIntoViewOptions</var></code> {{optional_inline}} {{experimental_inline}}</dt>
 <dd>Is an Object with the following properties:</dd>
 <dd>
 <dl>
  <dt><code>behavior</code> {{optional_inline}}</dt>
  <dd>Defines the transition animation.<br>
  One of <code>auto</code> or <code>smooth</code>. Defaults to <code>auto</code>.</dd>
  <dt><code>block</code> {{optional_inline}}</dt>
  <dd>Defines vertical alignment.<br>
  One of <code>start</code>, <code>center</code>, <code>end</code>, or <code>nearest</code>. Defaults to <code>start</code>.</dd>
  <dt><code>inline</code> {{optional_inline}}</dt>
  <dd>Defines horizontal alignment.<br>
  One of <code>start</code>, <code>center</code>, <code>end</code>, or <code>nearest</code>. Defaults to <code>nearest</code>.</dd>
 </dl>
 </dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var element = document.getElementById("box");

element.scrollIntoView();
element.scrollIntoView(false);
element.scrollIntoView({block: "end"});
element.scrollIntoView({behavior: "smooth", block: "end", inline: "nearest"});
</pre>

<h2 id="Notes">Notes</h2>

<p>The element may not be scrolled completely to the top or bottom depending on the layout of other elements.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM View", "#dom-element-scrollintoview", "Element.scrollIntoView()")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.scrollIntoView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.scrollIntoViewIfNeeded()")}} {{non-standard_inline}}</li>
</ul>
